Description
===========

Installs and configures Ziggrid and the Ziggrid Generator

Requirements
============

Platform:

* Amazon Linux

Note: While this cookbook isn't intended to be platform-specific, it has only been tested under Amazon Linux

The following cookbooks are dependencies:

* java
* partial_search
* bluepill

Attributes
==========

Shared
------

* `node[:ziggrid][:user]` - The user for the Ziggrid process, default `ziggrid`.
* `node[:ziggrid][:group]` - The group for the Ziggrid process, default `ziggrid`.
* `node[:ziggrid][:deploy_dir]` - The directory to deploy the Ziggrid code into, default`/opt/ziggrid`.

* `node[:ziggrid][:prod][:base_url]` - The base URL for the Ziggrid package, default `https://s3.amazonaws.com/ziggrid-release`.
* `node[:ziggrid][:prod][:filename]` - The file name for the Ziggrid package, default `20130912-ziggrid.zip`.

* `node[:ziggrid][:model][:zip_file_list]` - A list of zip files containing Ziggrid models, default `["ziggrid-baseball.zip"]`.
* `node[:ziggrid][:model][:base_url]` - The base URL for the Ziggrid models, default `https://s3.amazonaws.com/ziggrid-release`.

* `node[:ziggrid][:couchbase][:url]` - The URL for the Couchbase installation that Ziggrid will use, default `http://my.couchbase.url:8091/`.
* `node[:ziggrid][:couchbase][:bucket]` - The bucket that Ziggrid will use, default `ziggrid-baseball`.

* `node[:ziggrid][:debug]` - Whether to add debug options to Ziggrid's JVM, default `false`.

Ziggrid
-------

* `node[:ziggrid][:static][:base_url]` - The base URL for the Ziggrid static files, default `https://s3.amazonaws.com/ziggrid-release`.
* `node[:ziggrid][:static][:filename]` - The file name for the Ziggrid static files zip file, default `ziggrid_static.zip`.

* `node[:ziggrid][:collect_metrics]` - Whether to collect metrics information to /opt/ziggrid/metrics, default `false`.

* `node[:ziggrid][:webserver][:port]` - The port the Ziggrid web server will run on, default `8088`.

Ziggrid Generator
-----------------

* `node[:ziggen][:data][:base_url]` - The base URL for the Ziggrid Baseball demo data files, default `https://s3.amazonaws.com/ziggrid-release`.
* `node[:ziggen][:data][:filename]` - The zip file name for the Ziggrid Baseball demo data, default `baseballData.zip`.

* `node[:ziggen][:webserver][:port]` - The port to run the Ziggrid generator on, default `10052`.

Usage
=====

To install Ziggrid, simply include the ziggrid::ziggrid recipe.

To include the Ziggrid Generator (primarily useful if you're trying to replicate the Ziggrid Baseball stats demo from CouchbaseSF 2013), include the ziggrid::ziggen recipe.

License and Author
==================

Author:: Eric Diamond (<eric@ziniki.org>)

Copyright (C) 2013 Ziniki Infrastructure Software, LLC.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
