##
# Cookbook Name:: ziggrid
# Recipe:: shared
#
# Copyright (C) 2013 Ziniki Infrastructure Software, LLC.
# 

include_recipe "java"
include_recipe "bluepill"

group node[:ziggrid][:group]

user node[:ziggrid][:user] do
  group node[:ziggrid][:group]
  system true
  shell "/bin/bash"
end

local_prod_file = File.join(Chef::Config[:file_cache_path], node[:ziggrid][:prod][:filename])

remote_file local_prod_file do
  source "#{node[:ziggrid][:prod][:base_url]}/#{node[:ziggrid][:prod][:filename]}"
  owner node[:ziggrid][:user]
  group node[:ziggrid][:group]
  mode "0755"
  action :create_if_missing
end

deployDir = node[:ziggrid][:deploy_dir]

directory "#{deployDir}" do
  mode 0755
  owner node[:ziggrid][:user]
  group node[:ziggrid][:group]
  action :create
  recursive true
end

%w{config logs scripts pid}.each do |dir|
  directory File.join(deployDir, dir) do
    mode 0755
    owner node[:ziggrid][:user]
    group node[:ziggrid][:group]
    action :create
    recursive true
  end
end

#ziggrid prod
execute "extract #{local_prod_file}" do
  command "unzip -q -u -o #{local_prod_file} -d #{deployDir}/.."
  user    node[:ziggrid][:user]
  group   node[:ziggrid][:group]
end